# This imports all the layers for "ClickDemo" into clickdemoLayers
sketch = Framer.Importer.load "imported/ClickDemo"

# Shortcut Layer Names from sketch["myLayer"] -> sketch
for layerGroupName of sketch
	window[layerGroupName] = sketch[layerGroupName]
	# Store original position of all elements from PSD/Sketch file
	sketch[layerGroupName].originalFrame = window[layerGroupName].frame
	if sketch[layerGroupName].name.indexOf("Target") != -1
 		sketch[layerGroupName].opacity = 0

# Material Design Curve
Framer.Defaults.Animation = 
    curve: 'spring(500,35,10)'

Layer::show = ->
	this.opacity = 1
	this.style.pointerEvents = 'auto'
	
Layer::hide = ->
	this.opacity = 0
	this.style.pointerEvents = 'none'

Layer::animateTo = (properties) ->
	thisLayer = this
	thisLayer.animationTo = new Animation
		layer: thisLayer
		properties: properties
	thisLayer.animationTo.start()

Heart.hide()
Overlay.hide()

Card.on Events.TouchStart, ->
	Card.animateTo({ scale: 0.95 })

Card.on Events.TouchEnd, ->
	Card.animateTo({ scale: 1 })
	Overlay.animateTo({ opacity: 1 })
	Heart.show()
	Heart.opacity = 0
	Heart.y = Heart.y + 200

	Heart.animate
		properties:
			opacity: 1,
			y: Heart.originalFrame.y

	Utils.delay (2), ->
		Heart.animateTo({ opacity: 0 })
		Overlay.animateTo({ opacity: 0 })
		# Make sure click events don't register
		Utils.delay (0.3), ->
			Heart.hide()
			Overlay.hide()
