# This imports all the layers for "DragDemo" into dragdemoLayers
sketch = Framer.Importer.load "imported/DragDemo"

# Shortcut Layer Names from sketch["myLayer"] -> sketch
for layerGroupName of sketch
	window[layerGroupName] = sketch[layerGroupName]
	# Store original position of all elements from PSD/Sketch file
	sketch[layerGroupName].originalFrame = window[layerGroupName].frame
	if sketch[layerGroupName].name.indexOf("Target") != -1
 		sketch[layerGroupName].opacity = 0

# Material Design Curve
Framer.Defaults.Animation = 
	curve: "spring(260,30,0,0.01)"

Layer::show = ->
	this.opacity = 1
	this.style.pointerEvents = 'auto'
	
Layer::hide = ->
	this.opacity = 0
	this.style.pointerEvents = 'none'

Layer::animateTo = (properties) ->
	thisLayer = this
	thisLayer.animationTo = new Animation
		layer: thisLayer
		properties: properties
	thisLayer.animationTo.start()

Heart.scale = 0.1
Heart.opacity = 0
Cross.scale = 0.1
Cross.opacity = 0

PlaneShot.draggable.enabled = true

popIcon = (view) ->
	view.scale = 0.1
	view.opacity = 0
	view.animateTo({ scale: 1, opacity: 1 })

shrinkIcon = (view) ->
	view.animateTo({ scale: 0.1, opacity: 0 })

springBack = (view) ->
	view.animate
		properties:
			x: view.originalFrame.x
			y: view.originalFrame.y

PlaneShot.on Events.DragEnd, ->
	if (PlaneShot.midY < 200)
		# Dragged up
		PlaneShot.animateTo({ y: -PlaneShot.height })
		popIcon(Heart)
	else if (PlaneShot.midY > Phone.height - 200)
		# Dragged down
		PlaneShot.animateTo({ y: Phone.height + PlaneShot.height })
		popIcon(Cross)
	else
		# Not dragged enough, spring back
		springBack(PlaneShot)

	Utils.delay (2.5), ->
		shrinkIcon(Heart)
		shrinkIcon(Cross)
		springBack(PlaneShot)
