# This imports all the layers for "ScrollDemo" into scrolldemoLayers
sketch = Framer.Importer.load "imported/ScrollDemo"

# Shortcut Layer Names from sketch["myLayer"] -> sketch
for layerGroupName of sketch
	window[layerGroupName] = sketch[layerGroupName]
	# Store original position of all elements from PSD/Sketch file
	sketch[layerGroupName].originalFrame = window[layerGroupName].frame
	if sketch[layerGroupName].name.indexOf("Target") != -1
 		sketch[layerGroupName].opacity = 0

# Material Design Curve
Framer.Defaults.Animation = 
	curve: "spring(260,30,0,0.01)"

Layer::show = ->
	this.opacity = 1
	this.style.pointerEvents = 'auto'
	
Layer::hide = ->
	this.opacity = 0
	this.style.pointerEvents = 'none'

Layer::animateTo = (properties) ->
	thisLayer = this
	thisLayer.animationTo = new Animation
		layer: thisLayer
		properties: properties
	thisLayer.animationTo.start()

Overlay.on Events.Click, ->
	Overlay.animateTo({ opacity: 0 })
	Utils.delay (0.3), ->
		Overlay.hide()

Overlay.hide()

FeedContents.subViews.forEach (item) ->
	item.on Events.Click, ->
		Overlay.animateTo({ opacity: 1 })
		springUp(Share, 0)
		springUp(Heart, .1)
		springUp(Comment, .2)
		Utils.delay (0.3), ->
			Overlay.show()

springUp = (view, delay) ->
	view.y = view.y + 100
	view.opacity = 0
	Utils.delay (delay), ->
		view.animateTo({ y: view.originalFrame.y, opacity: 1 })

